Slack app status and the manifest to create it
const url = 'http://127.0.0.1:8484/api/v1/settings/slack';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8484/api/v1/settings/slackResponses
Section titled “Responses”OK
object
A URL to the JSON Schema for this object.
Link that opens the app in Slack
The bot’s name in the workspace
Channel where reminders of shared subscriptions are also posted
Opens Slack’s create-app page with the manifest filled in
Why the app is not connected, when Slack says so
App manifest (YAML) to create the Slack app from
The socket to Slack is open
Env: set by EXHALE_SLACK_BOT_TOKEN and EXHALE_SLACK_APP_TOKEN and not editable in the web
Workspace name
Example
{ "$schema": "https://example.com/api/schemas/SlackStatus.json", "source": "env"}default
Section titled “default”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "https://example.com/api/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}